{
  "schema_version": "1.4.0",
  "id": "GHSA-c356-gp5w-pv9x",
  "modified": "2022-05-17T04:39:47Z",
  "published": "2022-05-17T04:39:47Z",
  "aliases": [
    "CVE-2014-4715"
  ],
  "details": "Yann Collet LZ4 before r119, when used on certain 32-bit platforms that allocate memory beyond 0x80000000, does not properly detect integer overflows, which allows context-dependent attackers to cause a denial of service (memory corruption) or possibly have unspecified other impact via a crafted Literal Run, a different vulnerability than CVE-2014-4611.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2014-4715"
    },
    {
      "type": "WEB",
      "url": "https://code.google.com/p/lz4/issues/detail?id=134"
    },
    {
      "type": "WEB",
      "url": "https://code.google.com/p/lz4/source/detail?r=119"
    },
    {
      "type": "WEB",
      "url": "http://blog.securitymouse.com/2014/07/i-was-wrong-proving-lz4-exploitable.html"
    },
    {
      "type": "WEB",
      "url": "http://fastcompression.blogspot.fr/2014/07/software-vulnerabilities-how-it-works.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/59770"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2014-07-03T04:22:00Z"
  }
}